Last Comment Bug 536843 - Flash plugin has display problems on Firefox Linux Trunk and 3.6 builds, regression
: Flash plugin has display problems on Firefox Linux Trunk and 3.6 builds, regr...
Status: RESOLVED DUPLICATE of bug 526797
: regression
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86 Linux
: -- major with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-26 21:40 PST by Pascal Chevrel:pascalc
Modified: 2016-04-14 01:27 PDT (History)
15 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Pascal Chevrel:pascalc 2009-12-26 21:40:17 PST
On: Ubuntu Karmic fresh install, Nvidia 185.18.36 proprietary driver, tested with both Flash 10.0 r42 and Flash 10.1 d51 beta drivers.

Pages with flash animations and flash videos are mostly broken for me on both trunk and the 3.6 branch, lots of repainting issues, especially when you scroll the page. Firefox 3.5.6 does not have this problem with the same shared plugin.

You can see an example here with a screencast:
http://video.chevrel.org/tmp/out.ogv

Doing a binary search with regression.py I identified this regression window:
Last good nightly: 2009-10-01 First bad nightly: 2009-10-02

Hg log for that day indicate several checkins related to flash, plugins and video that may have caused the regression:
http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2009-10-01&enddate=2009-10-02

examples:
Bug 508908 -  "ASSERTION: Configured widget is not a child of the right widget" with Flash and <select size=1> with scrollbar 

Bug 508495. Let CSS borders and padding apply to plugin elements, and fix layout, painting and event handling to work with them.
Comment 1 chris hofmann 2009-12-27 15:49:37 PST
hey pascal, what is  the url for that screen cast or another one where you see the problem.   we should try to get a reduced test case.
Comment 2 Pascal Chevrel:pascalc 2009-12-27 15:51:36 PST
here is one:
http://www.deezer.com/fr/video/jenifer/si-c-est-une-ile-V27331

But the problem is visible on almost all pages with big flash apps
Comment 3 Mike Beltzner [:beltzner, not reading bugmail] 2009-12-28 09:34:09 PST
Jeff, Joe: is this the same as the bug we talked about months ago? As I recall, I marked that one not-blocking, but it was more to do with Java, right?
Comment 4 Mike Beltzner [:beltzner, not reading bugmail] 2009-12-28 09:44:57 PST
cc'ing a bunch more layout and plugins people to see if anyone can identify the regressing patch. Pascal, if you could toss out a few more URLs, that'd help a lot, too.

David: are you seeing this as well? IIRC, you run Linux most of the time.
Comment 5 Mike Beltzner [:beltzner, not reading bugmail] 2009-12-28 09:46:18 PST
Sorry for bugspam: Pascal, are you also up to date with the latest Flash?
Comment 6 Pascal Chevrel:pascalc 2009-12-28 09:55:55 PST
Mike, as indicated in my comment 0, yes I have the latest version of Flash for Linux, I also tried with the next beta version of Flash 10.1, same issue.

All of Deezer UI has repainting issues but I guess you need to create an account there:
http://www.deezer.com/

Here is another example:
http://www.louvre.fr/llv/commun/home.jsp

There is a cartoon-like moving character in the lower part of the page that says "suivez moi dans mon atelier" that has rendering problems, especially of you mouseover him.
Comment 7 Jeff Muizelaar [:jrmuizel] 2009-12-28 10:09:33 PST
Pascal: do you see this problem when using trunk? It may have been fixed by 518506.
Comment 8 Karl Tomlinson (ni?:karlt) 2009-12-28 10:45:38 PST
Regression range in comment 0 is consistent with bug 526797 comment 5, suggesting that this is likely the same cause.
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-12-28 11:05:03 PST
(In reply to comment #2)
> here is one:
> http://www.deezer.com/fr/video/jenifer/si-c-est-une-ile-V27331

I see weird painting behavior on this page on today's mozilla-central and mozilla-1.9.2 Linux x86_64 nightlies.  It seemed fine in the mozilla-central nightly from September 17.  I have Shockwave Flash 10.0 r42.
Comment 10 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-12-28 11:06:01 PST
And, to clarify, I see weird flickery painting and missing (or only very briefly appearing) pieces of the flash UI even without scrolling at all.
Comment 11 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-12-28 11:30:59 PST
(In reply to comment #8)
> Regression range in comment 0 is consistent with bug 526797 comment 5,
> suggesting that this is likely the same cause.

The appearance certainly seems consistent with problems handling partial invalidates.
Comment 12 Pascal Chevrel:pascalc 2009-12-28 12:01:44 PST
@Jeff, I see this problem with latest trunk, the last trunk build without this bug is the October 1st one.
Comment 13 Daniel Holbert [:dholbert] 2009-12-28 13:04:56 PST
FWIW, I also see a form of this at the front page of http://jungledisk.com

On that page, the headings "Let the cloud free you from the limitations of local storage", "Already a Customer?", and "Latest news" are all flash objects.  If I make the window short enough so that those aren't visible, and then slowly scroll them into the viewport (by gradually dragging the scrollbar), they don't immediately repaint (i.e. they're initially blank).

I'm pretty sure this is the same root issue -- at least, it has the same regression range.  The 2009-10-02 mozilla-central nightly is the first one to be broken.
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.3a1pre) Gecko/20091002 Minefield/3.7a1pre
Comment 14 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-12-28 14:05:32 PST
One thing to check is that all the problematic Flash instances are in windowless mode. The issues in bug 526797 only appear in windowless mode.

Karl, I think we could work around this by always repainting the whole Flash instance, right? That might be worth doing.
Comment 15 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-12-28 14:07:25 PST
In particular the issues in bug 526797 seem to appear when the top-left of the invalid rect is not the top-left of the plugin instance rect. We could simply extend the invalid rect so they're always the same.
Comment 16 Karl Tomlinson (ni?:karlt) 2009-12-28 18:15:19 PST

*** This bug has been marked as a duplicate of bug 526797 ***
Comment 17 Linkes 2016-04-14 01:27:44 PDT Comment hidden (spam)

Note You need to log in before you can comment on or make changes to this bug.